Subject: Re: RFC: Removing old tags, reducing the git size of -next.

From: Michal Marek <[email-masked]>
Date: Tue, 08 Mar 2011 16:29:29 +0100

On 2.3.2011 06:54, Stephen Rothwell wrote:
> Hi Joe,
> 
> On Tue, 01 Mar 2011 20:22:26 -0800 Joe Perches <[email-masked]> wrote:
>>
>> I personally do not find git history to be very useful
>> for the next tree.  The collected next tree history
>> also makes the repository fairly large and unwieldy to
>> use on smaller development systems.
> 
> Yeah, I have been thinking about this again recently.
> 
>> Would it be reasonable to create a separate history tree
>> for -next every once in awhile and have say a maximum of
>> a few weeks of next history in the current tree?
> 
> I could easily have a tree that is historical and contains what the
> current linux-next tree contains while also removing old stuff from the
> normal linux-next tree (I could push into both each day).  The only
> connection between the daily releases is the "history" branch which,
> frankly, does not serve any purpose and I will remove.

FWIW, I use the following setup for linux-next:

[remote "linux-next"]
        url =
git://git.kernel.org/pub/scm/linux/kernel/git/sfr/linux-next.git
        fetch = +refs/heads/master:refs/heads/linux-next
        fetch = +refs/heads/stable:refs/remotes/linux-next/stable
        tagopt = --no-tags

and fetch the next-* tags manually only when I need them.

Michal